Download it now!
Bug 38154 - XLS export generates inavlid XLS (if Window/Freeze is used)
Summary: XLS export generates inavlid XLS (if Window/Freeze is used)
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.4.0 release
Hardware: Other All
: high major
Assignee: Katarina Behrens
URL:
Whiteboard: target:3.4.1
Keywords:
Depends on:
Blocks:
 
Reported: 2011-06-10 08:06 UTC by OfficeUser
Modified: 2011-09-08 13:17 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
screen shot error message (3.55 KB, image/png)
2011-06-10 08:07 UTC, OfficeUser
Details
From LibreOffice exported XLS (6.50 KB, application/vnd.ms-excel)
2011-06-10 08:08 UTC, OfficeUser
Details

Note You need to log in before you can comment on or make changes to this bug.
Description OfficeUser 2011-06-10 08:06:16 UTC
- Generate a Spreadsheet using the feature Windows/Freeze
- Export it as XLS (I have attached such a XLS)
- Open it in MS Excel: An error message is printed (see attached screen shot)

The message meens translated:
File Error: Data may be lost
Comment 1 OfficeUser 2011-06-10 08:07:02 UTC
Created attachment 47813 [details]
screen shot error message
Comment 2 OfficeUser 2011-06-10 08:08:08 UTC
Created attachment 47814 [details]
From LibreOffice exported XLS
Comment 3 OfficeUser 2011-06-10 08:46:13 UTC
typo: "Windows/Freeze" -> "Window/Freeze"
Comment 4 Katarina Behrens 2011-06-10 10:16:43 UTC
Taking this one ...
Comment 5 Kohei Yoshida 2011-06-13 07:58:32 UTC
Just pushed Bubli's patch to the 3-4 branch with my sign-off.  This will be fixed in 3.4.1.
Comment 6 OfficeUser 2011-08-27 09:20:57 UTC
@Kohei Yoshida:

The current 3.4.2 final release seems to be affected by this bug again!
Comment 7 OfficeUser 2011-09-08 13:17:33 UTC
Sorry, it looks like I was wrong. The fix seems to be integrated in 3.4.2 final.